DISULFINDER(1)

NAME
disulfinder - cysteines disulfide bonding state and connectivity predictor

SYNOPSIS
disulfinder [OPTIONS]

DESCRIPTION
'disulfinder' is for predicting the disulfide bonding state of cysteines and their disulfide connectivity starting from sequence alone. Disulfide bridges play a major role in the stabilization of the folding process for several proteins. Prediction of disulfide bridges from sequence alone is therefore useful for the study of structural and functional properties of specific proteins. In addition, knowledge about the disulfide bonding state of cysteines may help the experimental structure determination process and may be useful in other genomic annotation tasks. 'disulfinder' predicts disulfide patterns in two computational stages: (1) the disulfide bonding state of each cysteine is predicted by a BRNN-SVM binary classifier; (2) cysteines that are known to participate in the formation of bridges are paired by a Recursive Neural Network to obtain a connectivity pattern.

REFERENCES

A. Ceroni, A. Passerini, A. Vullo and P. Frasconi. DISULFIND: a Disulfide Bonding State and Cysteine Connectivity Prediction Server, Nucleic Acids Research, 34(Web Server issue):W177-W181, 2006.

For the disulphide connectivity predictor see:

A. Vullo and P. Frasconi. Disulfide Connectivity Prediction using Recursive Neural Networks and Evolutionary Information, Bioinformatics, 20, 653-659, 2004.

For the cystein bonding state predictor see:

P. Frasconi, A. Passerini, and A. Vullo. A Two-Stage SVM Architecture for Predicting the Disulfide Bonding State of Cysteines, Proc. IEEE Workshop on Neural Networks for Signal Processing, pp.25-34, 2002.
A.Ceroni, P.Frasconi, A.Passerini and A.Vullo. Predicting the Disulfide Bonding State of Cysteines with Combinations of Kernel Machines, Journal of VLSI Signal Processing, 35, 287-295, 2003.

OPTIONS

-a, --alternatives=NUMBER
    alternative connectivity patterns (default=3)

-o, --output=DIR
    output dir where predictions will be saved (default=$PWD)

-p, --psi2=FILE|DIR
    input in psi2 format (PSI-BLAST Matrix in ASCII), either a single file or a directory(?). Generate this with "blastpgp -j <N> -Q FILE" where N >= 2.

-r, --rootdir=DIR
    work directory (default=~/disulfinder)

-k, --pkgdatadir=DIR
    package data directory containing Models (default=/usr/share/disulfinder)

-F, --format={html|ascii}
    output format type (default=ascii)

-d --blastdb=DIR
    blastpgp -d option (default=/data/sp+trembl)

-c, --cleanpred
    cleanup intermediate prediction files (default=false)

-P, --usepssm
    use pssm instead of counts for profiles (default=false)

-C, --knownbondingstate
    assume bonding state is known (one file for each chain in directory <rootdir>/Predictions/Bondstate/Viterbi) (default=false)

-v, --version
    disulfinder version

-?, --help
    help screen

EXAMPLES
"disulfinder -a 1 -p /usr/share/doc/disulfinder/examples/res_id_41483.blastPsiMatTmb -o ./disulfinder_results_dir"

FILES

/usr/share/disulfinder
    default package data directory

~/disulfinder
    default work directory

RESTRICTIONS
The work directory is not cleaned up automatically.

AUTHOR
Ceroni A, Passerini A, Vullo A, Frasconi P.

Packaging by Laszlo Kajan <lkajan@rostlab.org>

COPYRIGHT AND LICENSE
GPL

SEE ALSO

See official web site for help:
    <http://disulfind.dsi.unifi.it/>

DISULFIND: a disulfide bonding state and cysteine connectivity prediction server:
    <http://www.ncbi.nlm.nih.gov/pubmed/?term=16844986[uid]>